Index: docbook-utils/backends/dvi
===================================================================
RCS file: /cvs/docbook-tools/docbook-tools/docbook-utils/backends/dvi,v
retrieving revision 1.3
diff -u -r1.3 dvi
--- docbook-utils/backends/dvi	13 Jan 2003 17:14:10 -0000	1.3
+++ docbook-utils/backends/dvi	15 Jun 2006 18:36:11 -0000
@@ -6,31 +6,31 @@
 export TEXINPUTS
 
 # Convert to TeX
-$SGML_JADE -t tex -o ${SGML_FILE_NAME}.tex $SGML_ARGUMENTS
+$SGML_JADE -t tex -o "${SGML_FILE_NAME}.tex" $SGML_ARGUMENTS "$SGML_FILE"
 if [ $? -ne 0 ]
 then exit 1
 fi
 
 # Convert from TeX to DVI
-jadetex ${SGML_FILE_NAME}.tex >${SGML_FILE_NAME}.tmp
+jadetex "${SGML_FILE_NAME}.tex" > "${SGML_FILE_NAME}.tmp"
 if [ $? -ne 0 ]
 then
-  cat ${SGML_FILE_NAME}.tmp
-  rm ${SGML_FILE_NAME}.tmp
-  rm ${SGML_FILE_NAME}.tex
+  cat "${SGML_FILE_NAME}.tmp"
+  rm "${SGML_FILE_NAME}.tmp"
+  rm "${SGML_FILE_NAME}.tex"
   exit 2
 fi
-rm ${SGML_FILE_NAME}.tmp
+rm "${SGML_FILE_NAME}.tmp"
 
 # If there are unresolved references, re-run jadetex, twice 
-if egrep '^LaTeX Warning: There were undefined references.$' ${SGML_FILE_NAME}.log >/dev/null 2>&1
+if egrep '^LaTeX Warning: There were undefined references.$' "${SGML_FILE_NAME}.log" >/dev/null 2>&1
 then
-    jadetex ${SGML_FILE_NAME}.tex >/dev/null
-    jadetex ${SGML_FILE_NAME}.tex >/dev/null
+    jadetex "${SGML_FILE_NAME}.tex" >/dev/null
+    jadetex "${SGML_FILE_NAME}.tex" >/dev/null
 fi
-rm ${SGML_FILE_NAME}.log
-rm ${SGML_FILE_NAME}.aux
-rm ${SGML_FILE_NAME}.tex
-rm ${SGML_FILE_NAME}.out
+rm "${SGML_FILE_NAME}.log"
+rm "${SGML_FILE_NAME}.aux"
+rm "${SGML_FILE_NAME}.tex"
+rm "${SGML_FILE_NAME}.out"
 
 exit 0
Index: docbook-utils/backends/html
===================================================================
RCS file: /cvs/docbook-tools/docbook-tools/docbook-utils/backends/html,v
retrieving revision 1.1
diff -u -r1.1 html
--- docbook-utils/backends/html	21 Jul 2000 18:15:22 -0000	1.1
+++ docbook-utils/backends/html	15 Jun 2006 18:36:11 -0000
@@ -3,7 +3,7 @@
 # This program is under GPL license. See LICENSE file for details.
 
 # Convert to HTML
-$SGML_JADE -t sgml $SGML_ARGUMENTS
+$SGML_JADE -t sgml $SGML_ARGUMENTS "$SGML_FILE"
 if [ $? -ne 0 ]
 then exit 1
 fi
Index: docbook-utils/backends/pdf
===================================================================
RCS file: /cvs/docbook-tools/docbook-tools/docbook-utils/backends/pdf,v
retrieving revision 1.5
diff -u -r1.5 pdf
--- docbook-utils/backends/pdf	17 Mar 2003 17:47:11 -0000	1.5
+++ docbook-utils/backends/pdf	15 Jun 2006 18:36:11 -0000
@@ -6,26 +6,26 @@
 export TEXINPUTS
 
 # Convert to TeX
-$SGML_JADE -t tex -o ${SGML_FILE_NAME}.tex $SGML_ARGUMENTS
+$SGML_JADE -t tex -o "${SGML_FILE_NAME}.tex" $SGML_ARGUMENTS "$SGML_FILE"
 if [ $? -ne 0 ]
 then exit 1
 fi
 
 # Convert from TeX to PDF
-pdfjadetex ${SGML_FILE_NAME}.tex >${SGML_FILE_NAME}.tmp
+pdfjadetex "${SGML_FILE_NAME}.tex" > "${SGML_FILE_NAME}.tmp"
 if [ $? -ne 0 ]
 then
-  cat ${SGML_FILE_NAME}.tmp
-  rm ${SGML_FILE_NAME}.tmp
-  rm ${SGML_FILE_NAME}.tex
+  cat "${SGML_FILE_NAME}.tmp"
+  rm "${SGML_FILE_NAME}.tmp"
+  rm "${SGML_FILE_NAME}.tex"
   exit 2
 fi
-rm ${SGML_FILE_NAME}.tmp
+rm "${SGML_FILE_NAME}.tmp"
 
 # Unconditionally re-run pdfjadetex, twice 
-pdfjadetex ${SGML_FILE_NAME}.tex >/dev/null
-pdfjadetex ${SGML_FILE_NAME}.tex >/dev/null
-rm -f ${SGML_FILE_NAME}.log ${SGML_FILE_NAME}.aux \
-      ${SGML_FILE_NAME}.tex ${SGML_FILE_NAME}.out
+pdfjadetex "${SGML_FILE_NAME}.tex" >/dev/null
+pdfjadetex "${SGML_FILE_NAME}.tex" >/dev/null
+rm -f "${SGML_FILE_NAME}.log" "${SGML_FILE_NAME}.aux" \
+      "${SGML_FILE_NAME}.tex" "${SGML_FILE_NAME}.out"
 
 exit 0
Index: docbook-utils/backends/ps
===================================================================
RCS file: /cvs/docbook-tools/docbook-tools/docbook-utils/backends/ps,v
retrieving revision 1.5
diff -u -r1.5 ps
--- docbook-utils/backends/ps	17 Mar 2003 17:51:48 -0000	1.5
+++ docbook-utils/backends/ps	15 Jun 2006 18:36:11 -0000
@@ -6,30 +6,30 @@
 export TEXINPUTS
 
 # Convert to TeX
-$SGML_JADE -t tex -o ${SGML_FILE_NAME}.tex $SGML_ARGUMENTS
+$SGML_JADE -t tex -o "${SGML_FILE_NAME}.tex" $SGML_ARGUMENTS "$SGML_FILE"
 if [ $? -ne 0 ]
 then exit 1
 fi
 
 # Convert from TeX to DVI
-jadetex ${SGML_FILE_NAME}.tex >${SGML_FILE_NAME}.tmp
+jadetex "${SGML_FILE_NAME}.tex" > "${SGML_FILE_NAME}.tmp"
 if [ $? -ne 0 ]
 then
-  cat ${SGML_FILE_NAME}.tmp
-  rm ${SGML_FILE_NAME}.tmp
-  rm ${SGML_FILE_NAME}.tex
+  cat "${SGML_FILE_NAME}.tmp"
+  rm "${SGML_FILE_NAME}.tmp"
+  rm "${SGML_FILE_NAME}.tex"
   exit 2
 fi
-rm ${SGML_FILE_NAME}.tmp
+rm "${SGML_FILE_NAME}.tmp"
 
 # If there are unresolved references, re-run jadetex, twice 
 if egrep '^LaTeX Warning: There were undefined references.$' ${SGML_FILE_NAME}.log >/dev/null 2>&1
 then
-    jadetex ${SGML_FILE_NAME}.tex >/dev/null
-    jadetex ${SGML_FILE_NAME}.tex >/dev/null
+    jadetex "${SGML_FILE_NAME}.tex" >/dev/null
+    jadetex "${SGML_FILE_NAME}.tex" >/dev/null
 fi
-rm -f ${SGML_FILE_NAME}.log ${SGML_FILE_NAME}.aux \
-	${SGML_FILE_NAME}.tex ${SGML_FILE_NAME}.out
+rm -f "${SGML_FILE_NAME}.log" "${SGML_FILE_NAME}.aux" \
+	"${SGML_FILE_NAME}.tex" "${SGML_FILE_NAME}.out"
 
 # Convert from DVI to PostScript
 PAPERSIZE="-t letter"
@@ -38,12 +38,12 @@
   PAPERSIZE="-t a4"
 fi
 
-dvips -R -q $PAPERSIZE ${SGML_FILE_NAME}.dvi -o ${SGML_FILE_NAME}.ps
+dvips -R -q $PAPERSIZE "${SGML_FILE_NAME}.dvi" -o "${SGML_FILE_NAME}.ps"
 if [ $? -ne 0 ]
 then
-  rm ${SGML_FILE_NAME}.dvi
+  rm "${SGML_FILE_NAME}.dvi"
   exit 3
 fi
-rm ${SGML_FILE_NAME}.dvi
+rm "${SGML_FILE_NAME}.dvi"
 
 exit 0
Index: docbook-utils/backends/rtf
===================================================================
RCS file: /cvs/docbook-tools/docbook-tools/docbook-utils/backends/rtf,v
retrieving revision 1.1
diff -u -r1.1 rtf
--- docbook-utils/backends/rtf	21 Jul 2000 18:15:22 -0000	1.1
+++ docbook-utils/backends/rtf	15 Jun 2006 18:36:11 -0000
@@ -3,7 +3,7 @@
 # This program is under GPL license. See LICENSE file for details.
 
 # Convert to RTF
-$SGML_JADE -t rtf -o ${SGML_FILE_NAME}.rtf $SGML_ARGUMENTS
+$SGML_JADE -t rtf -o "${SGML_FILE_NAME}.rtf" $SGML_ARGUMENTS "$SGML_FILE"
 if [ $? -ne 0 ]
 then exit 1
 fi
Index: docbook-utils/backends/tex
===================================================================
RCS file: /cvs/docbook-tools/docbook-tools/docbook-utils/backends/tex,v
retrieving revision 1.1
diff -u -r1.1 tex
--- docbook-utils/backends/tex	21 Jul 2000 18:15:22 -0000	1.1
+++ docbook-utils/backends/tex	15 Jun 2006 18:36:11 -0000
@@ -3,7 +3,7 @@
 # This program is under GPL license. See LICENSE file for details.
 
 # Convert to TeX
-$SGML_JADE -t tex -o ${SGML_FILE_NAME}.tex $SGML_ARGUMENTS
+$SGML_JADE -t tex -o "${SGML_FILE_NAME}.tex" $SGML_ARGUMENTS "$SGML_FILE"
 if [ $? -ne 0 ]
 then exit 1
 fi
Index: docbook-utils/backends/txt
===================================================================
RCS file: /cvs/docbook-tools/docbook-tools/docbook-utils/backends/txt,v
retrieving revision 1.5
diff -u -r1.5 txt
--- docbook-utils/backends/txt	11 Feb 2004 13:58:03 -0000	1.5
+++ docbook-utils/backends/txt	15 Jun 2006 18:36:11 -0000
@@ -23,7 +23,7 @@
 trap 'rm -f "$HTML"; exit' 0 1 2 3 7 13 15
 
 # Convert to HTML
-$SGML_JADE -V nochunks -t sgml ${SGML_ARGUMENTS} >${HTML}
+$SGML_JADE -V nochunks -t sgml ${SGML_ARGUMENTS} "$SGML_FILE" >${HTML}
 if [ $? -ne 0 ]
 then exit 1
 fi
Index: docbook-utils/bin/jw.in
===================================================================
RCS file: /cvs/docbook-tools/docbook-tools/docbook-utils/bin/jw.in,v
retrieving revision 1.23
diff -u -r1.23 jw.in
--- docbook-utils/bin/jw.in	19 Aug 2004 08:30:13 -0000	1.23
+++ docbook-utils/bin/jw.in	15 Jun 2006 18:36:11 -0000
@@ -270,14 +270,14 @@
   echo -e $SGML_HELP_MESSAGE >&2
   exit 1
 fi
-if [ ! -s $SGML_FILE ]
+if [ ! -s "$SGML_FILE" ]
 then
   echo "`basename $0`: Cannot open \"$SGML_FILE\"." >&2
   exit 3
 fi
 
 # Separate the file name and the extension (if any)
-SGML_FILE_NAME=`basename $SGML_FILE`
+SGML_FILE_NAME=`basename "$SGML_FILE"`
 SGML_FILE_NAME=${SGML_FILE_NAME%.*}
 
 # Determine if we are in an XML file
@@ -416,7 +416,7 @@
 fi
 
 # Prepare the parser's arguments
-SGML_ARGUMENTS="$SGML_INCLUDE -i $SGML_TYPE -d $SGML_STYLESHEET $SGML_OPTIONS $SGML_WARNINGS $SGML_DECL $SGML_FILE"
+SGML_ARGUMENTS="$SGML_INCLUDE -i $SGML_TYPE -d $SGML_STYLESHEET $SGML_OPTIONS $SGML_WARNINGS $SGML_DECL"
 
 # Call the backend
 echo "Using catalogs: `echo $SGML_CATALOG_FILES | sed 's/:/, /g'`"
@@ -430,7 +430,7 @@
 then
 	sh $SGML_BACKEND
 else
-	sh $SGML_BACKEND >$SGML_FILE_NAME.html
+	sh $SGML_BACKEND > "$SGML_FILE_NAME.html"
 fi
 SGML_RETURN=$?
 cd "$SGML_CURRENT_DIRECTORY"
